summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2018-02-03 12:41:05 +1100
committerMichael Palimaka <kensington@gentoo.org>2018-02-04 00:36:57 +1100
commit30bf416f5c909f3bc8d09ca5761529e97f441d2a (patch)
treeffad87efb451c904c3c3aad4c1dbcc8a19f5cb5e /dev-qt/qtdatavis3d
parentqt5-build.eclass: introduce QT5_GENTOO_PRIVATE_CONFIG (diff)
downloadgentoo-30bf416f5c909f3bc8d09ca5761529e97f441d2a.tar.gz
gentoo-30bf416f5c909f3bc8d09ca5761529e97f441d2a.tar.bz2
gentoo-30bf416f5c909f3bc8d09ca5761529e97f441d2a.zip
dev-qt: version bump 5.9.4
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'dev-qt/qtdatavis3d')
-rw-r--r--dev-qt/qtdatavis3d/Manifest1
-rw-r--r--dev-qt/qtdatavis3d/qtdatavis3d-5.9.4.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-qt/qtdatavis3d/Manifest b/dev-qt/qtdatavis3d/Manifest
index 0bdf47af9d0..2bd36072215 100644
--- a/dev-qt/qtdatavis3d/Manifest
+++ b/dev-qt/qtdatavis3d/Manifest
@@ -1,2 +1,3 @@
DIST qtdatavis3d-opensource-src-5.7.1.tar.xz 5155740 BLAKE2B bd0fbd04367dfbc328d1d63fe5e2557a491f8d2dddbca4efadc190bdfa640f3ae2c7db1b29ec9ff07e3b8e03cab2b4caa4cae2ffa396d82d4db728aff252dbbc SHA512 2739f7ddcf81fa53a2673e7073c1dac54ea15b70175e19697c7711d652101f0f9a41dc5f89ea33bc5675605ba760667ead8cfde10940dbad8ec75f6897c67b5a
DIST qtdatavis3d-opensource-src-5.9.3.tar.xz 5163104 BLAKE2B 22502bc5c365afd1d1e65ab0c01d1aa744ec78413714d16c5ef6611b07f797f075b20c59d31ee80d30a5b20c68688e9222597305634355f79296593ab3837634 SHA512 2e549ed5dc6aeb92325c3a26a3084865ba6b6bfbb48c3e415dd8dafd54f248a8b61d4a49e376c77eae214fa91df55b3f960ad6400209fbff52708382e154c873
+DIST qtdatavis3d-opensource-src-5.9.4.tar.xz 5164120 BLAKE2B e8e9586da6e261f22ac6dba12b530755b1b6914f702a33d196968f7c8812e4d5a6b86dd7584c109385fa2e9bc33fcfc067b2538f8d4cff69d3a0624a26822a8e SHA512 8e314d4b0324b6d9aa9a4a63bd3e21010545ce7ffa250614ceea6052b37d7519036a4e13ce1b3cd264e5ce00453bceb774234932cf3c3a49bcded0988d4110c2
diff --git a/dev-qt/qtdatavis3d/qtdatavis3d-5.9.4.ebuild b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.4.ebuild
new file mode 100644
index 00000000000..647770499ac
--- /dev/null
+++ b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.4.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="3D data visualization library for the Qt5 framework"
+LICENSE="GPL-3"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="gles2 qml"
+
+DEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtgui-${PV}[gles2=]
+ qml? ( ~dev-qt/qtdeclarative-${PV}[gles2=] )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # eliminate bogus dependency on qtwidgets
+ sed -i -e '/requires.*widgets/d' qtdatavis3d.pro || die
+
+ qt_use_disable_mod qml quick \
+ src/src.pro
+
+ qt5-build_src_prepare
+}